Bug 472708 - Strange Ctrl key lock
Strange Ctrl key lock
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-keyboard (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Peter Hutterer
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-23 18:15 EST by Richard Körber
Modified: 2009-01-14 11:08 EST (History)
1 user (show)

See Also:
Fixed In Version: F10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-14 11:08:08 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
xorg.conf file (593 bytes, text/plain)
2008-11-24 17:04 EST, Richard Körber
no flags Details
Xorg log file (33.50 KB, text/plain)
2008-11-24 17:06 EST, Richard Körber
no flags Details

  None (edit)
Description Richard Körber 2008-11-23 18:15:33 EST
Description of problem:
Sometimes the CTRL key seems to lock up. It always happens for me in a Gnome Terminal, when I am pressing CTRL-R to search the command history.

If the bug occurs, the system behaves like the CTRL key is locked. The Gnome terminal shows an outline cursor, does not accept any input any more, and clicking and dragging the mouse in the terminal marks a rectangular text area. The terminal menus won't open, like other GTK menus (e.g. Gnome). In other applications (like e.g. Firefox) I cannot input text any more.

Pressing the CTRL keys (or other qualifier keys like shift) on the keyboard does not resolve the issue. Reconnecting the keyboard does not resolve it either.

Since all GTK menu items are gone, I cannot start applications, or exit the system the usual way. The only way out is to press CTRL-ALT-Backspace to kill the X session (NB: the CTRL key is working fine here!).

After logging in again, the effect is gone, and I can resume my work.

Anyhow it is very annoying, because I always lose all my unsaved changes when I kill the X session.


Version-Release number of selected component (if applicable):
I don't know what component is causing the error. I guess it's xorg because the bug first occured a couple of days ago, probably after an xorg or kernel update.

How reproducible:
Sometimes. Anyhow it happens several times a day for me. I haven't found a reliable way to reproduce this bug. It just suddenly strikes.

Steps to Reproduce:
1. Open a Gnome terminal
2. Press CTRL-R and hope to be unlucky
  
Actual results:
See description.

Expected results:
CTRL key works like usual.

Additional info:
I know this bugreport is currently quite worthless. What information can I provide to help you?
Comment 1 Matěj Cepl 2008-11-24 04:19:05 EST
Thanks for the bug report.  We have reviewed the information you have provided above, and there is some additional information we require that will be helpful in our diagnosis of this issue.

Please attach your X server config file (/etc/X11/xorg.conf) and X server log file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file attachments using the bugzilla file attachment link below.

Could you please also try to run without any /etc/X11/xorg.conf whatsoever and let X11 autodetect your display and video card? Attach to this bug /var/log/Xorg.0.log from this attempt as well, please.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 2 Matěj Cepl 2008-11-24 04:20:05 EST
I see something similar as well, but in the totally random fashion and it is not-reproducable for me in any serious manner. Wondering what driver you use (which I will get from the Xorg.0.log when you attach it).
Comment 3 Matěj Cepl 2008-11-24 04:30:59 EST
Looks similar to bug 436084 and bug 450249 -- did we drop some patch somewhere?
Comment 4 Matěj Cepl 2008-11-24 04:31:22 EST
however, still waiting on those logs.
Comment 5 Richard Körber 2008-11-24 17:04:27 EST
Created attachment 324540 [details]
xorg.conf file
Comment 6 Richard Körber 2008-11-24 17:06:49 EST
Created attachment 324541 [details]
Xorg log file

Current xorg.log. The bug did not strike yet. :)
Comment 7 Richard Körber 2008-11-24 17:17:02 EST
I will hand in another xorg.log and a dmesg tail later, when the bug occured again. Unfortunately I cannot force it.

Maybe it's an useful information that this is a Lenovo R61 notebook in it's docking station, and with a Microsoft USB keyboard connected to it.
Comment 8 Matěj Cepl 2008-11-24 20:26:43 EST
OK, waiting on further logs.
Comment 9 Richard Körber 2009-01-14 04:26:46 EST
After upgrading to Fedora 10, this bug did not occur any more.
Comment 10 Matěj Cepl 2009-01-14 09:08:37 EST
Do you have still some F9 somewhere or should I close this bug as INSUFFICIENT_DATA or something?
Comment 11 Richard Körber 2009-01-14 09:36:14 EST
I don't have F9 any more. You said in Comment #2 that you also saw this issue. As for me, you can close this bug.
Comment 12 Matěj Cepl 2009-01-14 11:08:08 EST
OK, so let's close (I haven't seen it myself for some time) and feel free to reopn with additional informatino if it happens again.

Note You need to log in before you can comment on or make changes to this bug.